> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Browse Appointment Definition Questions

> A `GET` to the `/appointment-definitions/{appointmentDefinitionId}/questions` endpoint allows your application to retrieve booking questions for an appointment definition.



## OpenAPI

````yaml get /v3/appointment-definitions/{appointmentDefinition}/questions
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/appointment-definitions/{appointmentDefinition}/questions:
    get:
      tags:
        - Appointment Definition Questions
      summary: Browse Appointment Definition Questions
      description: >-
        A `GET` to the
        `/appointment-definitions/{appointmentDefinitionId}/questions` endpoint
        allows your application to retrieve booking questions for an appointment
        definition.
      operationId: appointmentDefinitionQuestions.index
      parameters:
        - name: appointmentDefinition
          in: path
          required: true
          description: The appointment definition ID
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      data:
                        type: object
                        properties:
                          questionnaire:
                            type: object
                            properties:
                              id:
                                type: string
                              name:
                                type: string
                              purpose:
                                type: string
                            required:
                              - id
                              - name
                              - purpose
                          questions:
                            type: array
                            items: {}
                        required:
                          - questionnaire
                          - questions
                    required:
                      - data
                  - type: object
                    properties:
                      data:
                        type: object
                        properties:
                          questionnaire:
                            type: 'null'
                          questions:
                            type: array
                            items:
                              type: string
                            minItems: 0
                            maxItems: 0
                            additionalItems: false
                        required:
                          - questionnaire
                          - questions
                    required:
                      - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````